/*                                                                             
 * Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
 *                                                                             
 * Licensed under the Apache License, Version 2.0 (the "License");             
 * you may not use this file except in compliance with the License.            
 * You may obtain a copy of the License at                                     
 *                                                                             
 *      http://www.apache.org/licenses/LICENSE-2.0                             
 *                                                                             
 * Unless required by applicable law or agreed to in writing, software         
 * distributed under the License is distributed on an "AS IS" BASIS,           
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    
 * See the License for the specific language governing permissions and         
 * limitations under the License.                                              
 */
package org.wso2.solutions.identity.persistence.dataobject;

import java.util.HashSet;
import java.util.Set;

public class DialectDO extends AbstractDataObject {

    private String dialectUri;

    private String dialectInfo;

    private Set dialectClaims = new HashSet();

    public String getDialectInfo() {
        return dialectInfo;
    }

    public void setDialectInfo(String dialectInfo) {
        this.dialectInfo = dialectInfo;
    }

    public String getDialectUri() {
        return dialectUri;
    }

    public void setDialectUri(String dialectUri) {
        this.dialectUri = dialectUri;
    }

    public Set getDialectClaims() {
        return dialectClaims;
    }

    public void setDialectClaims(Set dialectClaims) {
        this.dialectClaims = dialectClaims;
    }
}
