package org.wso2.solutions.identity.report;

import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.wso2.solutions.identity.IdentityProviderException;
import org.wso2.solutions.identity.openid.OpenIDUtil;

public class OpenIDSummaryReportData extends SummaryReportData {

    private static Log log = LogFactory.getLog(OpenIDSummaryReportData.class);
    private String openID;
    private Date lastVisit;

    public String getOpenID() {
        try {
            openID = OpenIDUtil.getOpenID(getUserId());
            return openID;
        } catch (IdentityProviderException e) {
            log.error(e);
            return null;
        }
    }

    public Date getLastVisit() {
        return lastVisit;
    }

    public void setLastVisit(Date lastVisit) {
        this.lastVisit = lastVisit;
    }

}
