/*                                                                             
 * Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
 *                                                                             
 * Licensed under the Apache License, Version 2.0 (the "License");             
 * you may not use this file except in compliance with the License.            
 * You may obtain a copy of the License at                                     
 *                                                                             
 *      http://www.apache.org/licenses/LICENSE-2.0                             
 *                                                                             
 * Unless required by applicable law or agreed to in writing, software         
 * distributed under the License is distributed on an "AS IS" BASIS,           
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    
 * See the License for the specific language governing permissions and         
 * limitations under the License.                                              
 */

package org.wso2.solutions.identity.users.wsas;

import org.wso2.usermanager.AccessControlAdmin;
import org.wso2.usermanager.Authenticator;
import org.wso2.usermanager.Authorizer;
import org.wso2.usermanager.Realm;
import org.wso2.usermanager.UserManagerException;
import org.wso2.usermanager.UserStoreAdmin;
import org.wso2.usermanager.UserStoreReader;

public class WSASRealm implements Realm {

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#getAccessControlAdmin()
     */
    public AccessControlAdmin getAccessControlAdmin()
            throws UserManagerException {
        // TODO TODO
        throw new UnsupportedOperationException("TODO");
    }

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#getAuthenticator()
     */
    public Authenticator getAuthenticator() throws UserManagerException {
        return new WSASAuthenticator();
    }

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#getAuthorizer()
     */
    public Authorizer getAuthorizer() throws UserManagerException {
        // TODO TODO
        throw new UnsupportedOperationException("TODO");
    }

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#getRealmConfiguration()
     */
    public Object getRealmConfiguration() throws UserManagerException {
        return null;
    }

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#getUserStoreAdmin()
     */
    public UserStoreAdmin getUserStoreAdmin() throws UserManagerException {
        // TODO TODO
        throw new UnsupportedOperationException("TODO");
    }

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#getUserStoreReader()
     */
    public UserStoreReader getUserStoreReader() throws UserManagerException {
        return new WSASUserStoreReader();
    }

    /* (non-Javadoc)
     * @see org.wso2.usermanager.Realm#init(java.lang.Object)
     */
    public void init(Object configBean) throws UserManagerException {
        //Nothing to do
    }

}
