/*
 * Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.solutions.identity.admin;

import org.wso2.solutions.identity.IdentityProviderException;
import org.wso2.solutions.identity.persistence.IPPersistenceManager;
import org.wso2.solutions.identity.persistence.dataobject.PPIDValueDO;

public class PPIDValueAdmin {

    IPPersistenceManager dbman;

    public PPIDValueAdmin() throws IdentityProviderException {
        dbman = IPPersistenceManager.getPersistanceManager();
    }

    public PPIDValueDO[] getPPIDValuesForUser(String userid) {
        return dbman.getPPIDValuesForUser(userid);
    }

    /**
     * TODO: Remove this - no meaning ...... get batch by batch or something Do
     * not use in production. Just a test method for now This must be gone
     * 
     * @return
     */
    public PPIDValueDO[] getAllPPIDs() {
        return dbman.getAllPPIDs();
    }

}
