/*                                                                             
 * Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
 *                                                                             
 * Licensed under the Apache License, Version 2.0 (the "License");             
 * you may not use this file except in compliance with the License.            
 * You may obtain a copy of the License at                                     
 *                                                                             
 *      http://www.apache.org/licenses/LICENSE-2.0                             
 *                                                                             
 * Unless required by applicable law or agreed to in writing, software         
 * distributed under the License is distributed on an "AS IS" BASIS,           
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    
 * See the License for the specific language governing permissions and         
 * limitations under the License.                                              
 */
package org.wso2.solutions.identity.persistence.dataobject;

import java.util.Date;
import java.util.Set;

public class InfoCardDO extends AbstractDataObject {

    private String cardId = null;

    private String userId = null;

    private Date dateIssued = null;

    private Date dateExpires = null;
    
    private boolean openIDInfoCard;
    
    private Set tokens = null;

    public Date getDateIssued() {
        return dateIssued;
    }

    public void setDateIssued(Date dateIssued) {
        this.dateIssued = dateIssued;
    }

    public Date getDateExpires() {
        return dateExpires;
    }

    public void setDateExpires(Date dateExpires) {
        this.dateExpires = dateExpires;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Set getTokens() {
        return tokens;
    }

    public void setTokens(Set tokens) {
        this.tokens = tokens;
    }

    public boolean isOpenIDInfoCard() {
        return openIDInfoCard;
    }

    public void setOpenIDInfoCard(boolean openIDInfoCard) {
        this.openIDInfoCard = openIDInfoCard;
    }

    
}
